#pragma once


struct TGraphCutEdge
{
	int    n1, n2;
	double energy;
	void set( int _n1, int _n2, double _energy ){ 
		n1     = _n1;
		n2     = _n2;
		energy = _energy;
	}
};

class AFX_EXT_CLASS TGraphCut
{
public:
	TGraphCut ();
	~TGraphCut(void);
	
/*---------------------------------------------------------------------
Graph Cut segmentation 
	nodeNum   : the numver of nodes
	edgeNum   : the number of edges

	Edata_f   : energy of n-link (foreground);
	Edata_b   : energy of n-link (background);
	edges     : n-link (neighborhood links)
	nodeInOut : fore-back flags (should be already allocated 0:gack other:fore)
---------------------------------------------------------------------*/
	void calcGraphCut( const int nodeNum, const int edgeNum, 
		               const double *Edata_f, const double *Edata_b, const TGraphCutEdge* edges, 
					   byte  *nodeInOut);
};

