#include "StdAfx.h"
#include "UmfpackFunctions.h"

extern "C"
{
#include "../../umfpack/umfpack.h"
}

#ifdef _WIN64

#pragma comment(lib, "../../umfpack/libamd_woBlas64.lib")
#pragma comment(lib, "../../umfpack/libumfpack_woBlas64.lib")

#else

#pragma comment(lib, "../../umfpack/libamd_woBlas32.lib")
#pragma comment(lib, "../../umfpack/libumfpack_woBlas32.lib")

#endif


#ifdef _DEBUG
#define new DEBUG_NEW
#endif

extern "C" int WINAPI  t_umfpack_di_symbolic
(
    int n_row,
    int n_col,
    const int Ap [ ],
    const int Ai [ ],
    const double Ax [ ],
    void **Symbolic
) 
{
	double* null = (double *) NULL ;
	return umfpack_di_symbolic( n_row, n_col, Ap, Ai, Ax, Symbolic, null, null);
}

extern "C" int WINAPI  t_umfpack_di_numeric
(
    const int Ap [ ],
    const int Ai [ ],
    const double Ax [ ],
    void *Symbolic,
    void **Numeric
) 
{
	double* null = (double *) NULL ;
	return umfpack_di_numeric( Ap, Ai, Ax, Symbolic, Numeric, null, null);
}

extern "C" int WINAPI t_umfpack_di_solve
(
    int sys,
    const int Ap [ ],
    const int Ai [ ],
    const double Ax [ ],
    double X [ ],
    const double B [ ],
    void *Numeric
) 
{
	double* null = (double *) NULL ;
	return umfpack_di_solve( sys, Ap, Ai, Ax, X, B, Numeric, null, null);
}

extern "C" void WINAPI t_umfpack_di_free_symbolic
(
    void **Symbolic
) 
{

	double* null = (double *) NULL ;
	umfpack_di_free_symbolic( Symbolic );
}

extern "C" void WINAPI t_umfpack_di_free_numeric
(
    void **Numeric
) 
{
	double* null = (double *) NULL ;
	umfpack_di_free_numeric( Numeric );
}

